Subject: categories: 80th PSSL: addendum

From: Dr Eugenia Cheng <[email-masked]>
Date: Tue, 17 Feb 2004 16:10:42 +0000 (GMT)

80th PSSL: addendum

Dear All,

Further to the 2nd announcement of the 80th PSSL in Cambridge, I would
like to add that if you would particularly like en suite accommodation, I
can arrange this for you on request.  This would be at St Catharine's
College, and costs 21 pounds extra per night.  They will hold the rooms
until February 26th after which it is subject to availability, so early
booking is recommended.

Regards,
Eugenia Cheng